aboutsummaryrefslogtreecommitdiff
path: root/iptables/tests/shell/testcases/nft-only/0008-basechain-policy_0
diff options
context:
space:
mode:
authorandroid-build-team Robot <android-build-team-robot@google.com>2021-06-21 14:27:29 +0000
committerandroid-build-team Robot <android-build-team-robot@google.com>2021-06-21 14:27:29 +0000
commit534e6f9339b644ffac02190dd32257bb190e3356 (patch)
treed3b12fcc78b5ad0e8e25c7e3f068be047b461d91 /iptables/tests/shell/testcases/nft-only/0008-basechain-policy_0
parent735bd681a5ee12a17c67917603467acaf4a58f33 (diff)
parentfae46950c0c0818cac1b37a7042b86fb03a75511 (diff)
downloadiptables-534e6f9339b644ffac02190dd32257bb190e3356.tar.gz
Change-Id: I9fc6994d9e9199c968ae3ec824b9d8e629c16169
Diffstat (limited to 'iptables/tests/shell/testcases/nft-only/0008-basechain-policy_0')
-rwxr-xr-xiptables/tests/shell/testcases/nft-only/0008-basechain-policy_029
1 files changed, 29 insertions, 0 deletions
diff --git a/iptables/tests/shell/testcases/nft-only/0008-basechain-policy_0 b/iptables/tests/shell/testcases/nft-only/0008-basechain-policy_0
new file mode 100755
index 00000000..a81e9bad
--- /dev/null
+++ b/iptables/tests/shell/testcases/nft-only/0008-basechain-policy_0
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+[[ $XT_MULTI == *xtables-nft-multi ]] || { echo "skip $XT_MULTI"; exit 0; }
+set -e
+
+$XT_MULTI iptables -t raw -P OUTPUT DROP
+
+# make sure iptables-nft-restore can correctly handle basechain policies when
+# they aren't set with --noflush
+#
+$XT_MULTI iptables-restore --noflush <<EOF
+*raw
+:OUTPUT - [0:0]
+:PREROUTING - [0:0]
+:neutron-linuxbri-OUTPUT - [0:0]
+:neutron-linuxbri-PREROUTING - [0:0]
+-I OUTPUT 1 -j neutron-linuxbri-OUTPUT
+-I PREROUTING 1 -j neutron-linuxbri-PREROUTING
+-I neutron-linuxbri-PREROUTING 1 -m physdev --physdev-in brq7425e328-56 -j CT --zone 4097
+-I neutron-linuxbri-PREROUTING 2 -i brq7425e328-56 -j CT --zone 4097
+-I neutron-linuxbri-PREROUTING 3 -m physdev --physdev-in tap7f101a28-1d -j CT --zone 4097
+
+COMMIT
+EOF
+
+$XT_MULTI iptables-save | grep -C2 raw | grep OUTPUT | grep DROP
+if [ $? -ne 0 ]; then
+ exit 1
+fi